Bug 174019 - [PATCH] x11-toolkits/open-motif: fix build with non-default localbase
Summary: [PATCH] x11-toolkits/open-motif: fix build with non-default localbase
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-30 17:30 UTC by Dmitry Marakasov
Modified: 2012-12-03 18:25 UTC (History)
1 user (show)

See Also:


Attachments
open-motif-2.3.4.patch (495 bytes, patch)
2012-11-30 17:30 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2012-11-30 17:30:00 UTC
Since /usr/local is hardcoded in configure, open-motif won't build with non-default LOCALBASE, being unable to find libiconv. The attached patch fixes this.

Port maintainer (m.tsatsenko@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-11-30 17:30:13 UTC
Maintainer of x11-toolkits/open-motif,

Please note that PR ports/174019 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174019

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-11-30 17:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 m.tsatsenko 2012-12-02 20:11:04 UTC
I agree.
Thanks!
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-12-03 00:32:23 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Dmitry Marakasov freebsd_committer 2012-12-03 18:25:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!